\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - Number Types

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
leda_rational Class Reference
LEDA

`#include <CGAL/leda_rational.h>`

## Definition

The class `leda_rational` provides exact computation in \( \mathbb{R}\).

The class `leda_rational` is a wrapper class that provides the functions needed to use the number type `rational`, representing exact multiprecision rational numbers provided by LEDA.

Is Model Of:

  `Field`

  `RealEmbeddable`

  `Fraction`

  `FromDoubleConstructible`

For more details on the number types of LEDA we refer to the LEDA manual [4].